%Gerao de dados para anlse dos efeitos do Isolamento Social - covid-19 -
%MG. Mrcio F. S. Barroso em 08 de maio de 2020.

%Limpa todos os dados, tela e grficos
%============================================================================================================
clear all
close all
clc
%============================================================================================================

%Carrega os dados de interesse
%============================================================================================================
dados_acumulados;
%============================================================================================================

%Obtem a data de incio do registro em MG, dado pelo Governo Federal.
%============================================================================================================
data1 = datenum('31-jan-2020');
data2 = datenum('15-may-2020');
%============================================================================================================

%Plota a primeira figura contendo os dados de interesse, para ajustes do
%grfico a partir do mesmo
%============================================================================================================
figure(1);
plot(R0);hold on;
%============================================================================================================

%Obtem-se o tamanho das marcaes do eixo dos X no grfico
%============================================================================================================
a = get(gca,'XTick');
set(gca,'XTick',linspace(1,a(end),5));
a = get(gca,'XTick');
%============================================================================================================

%Acrescenta-se o nmero de dias usados na anlise. Este valor est no COLAB
%============================================================================================================
limite_tempo = data2;
%============================================================================================================


%Gera as marcaes do eixo X com os valores em dias
%============================================================================================================
labelsX = datestr(linspace(data1,limite_tempo,length(a)),1);
set(gca,'XTickLabel',labelsX);
%============================================================================================================

%Colaca-se as informaes pertinentes no grfico
%============================================================================================================
grid on; box on;
xlabel('Tempo, em dias');
ylabel('Taxa de Transmisso');
%title('Acumulado Semanal da Taxa de Transmisso (Estimado)');
%============================================================================================================