%Gerao de dados para anlse dos efeitos do Isolamento Social - covid-19 -
%MG. Mrcio F. S. Barroso em 08 de maio de 2020.

%Limpa todos os dados, tela e grficos
%============================================================================================================
clear all
close all
clc
%============================================================================================================

%Este script roda todos os dados salvos no COLAB.
%============================================================================================================
dados_geral
%============================================================================================================

%Obtem a data de incio do registro em MG, dado pelo Governo Federal.
%============================================================================================================
data1 = datenum('31-jan-2020');
data2 = datenum('14-may-2020');
%============================================================================================================

%Plota a primeira figura contendo os dados de interesse, para ajustes do
%grfico a partir do mesmo
%============================================================================================================
figure(1);
plot(total,'b');
%============================================================================================================

%Obtem-se o tamanho das marcaes do eixo dos X no grfico
%============================================================================================================
a = get(gca,'XTick');
set(gca,'XTick',linspace(1,a(end),5));
a = get(gca,'XTick');
%============================================================================================================


%Acrescenta-se o nmero de dias usados na anlise. Este valor est no COLAB
%============================================================================================================
limite_tempo = data2;
%============================================================================================================

%Gera as marcaes do eixo X com os valores em dias
%============================================================================================================
labelsX = datestr(linspace(data1,limite_tempo,length(a)),1);
set(gca,'XTickLabel',labelsX);
%============================================================================================================

%Colaca-se as informaes pertinentes no grfico
%============================================================================================================
grid on; box on;
hold on;
plot(casos,'*r');
%legend('Valores simulados','Nmero mximo de Leitos','Nmeros mximo de UTIs');
xlabel('Tempo (dias)');
ylabel('Nmero de Casos');
print(gcf,'-depsc','compara_simulado_real.eps')
%title('Simulao do Efeito do Isolamento Social,Cenrio 3: "Isolameto Recomendado"');
%============================================================================================================