%Gerao de dados para anlse dos efeitos do Isolamento Social - covid-19 -
%MG. Mrcio F. S. Barroso em 08 de maio de 2020.

%Limpa todos os dados, tela e grficos
%============================================================================================================
clear all
close all
clc
%============================================================================================================

%Este script roda todos os dados salvos no COLAB.
%============================================================================================================
dados_geral
%============================================================================================================

%Obtem a data de incio do registro em MG, dado pelo Governo Federal.
%============================================================================================================
data1 = datenum('31-jan-2020');
%============================================================================================================

%Plota a primeira figura contendo os dados de interesse, para ajustes do
%grfico a partir do mesmo
%============================================================================================================
figure(1);
plot(iso_atual);hold on;
%============================================================================================================

%Obtem-se o tamanho das marcaes do eixo dos X no grfico
%============================================================================================================
a = get(gca,'XTick');
set(gca,'XTick',linspace(1,a(end),5));
a = get(gca,'XTick');
%============================================================================================================

%Acrescenta-se o nmero de dias usados na anlise. Este valor est no COLAB
%============================================================================================================
limite_tempo = data1 + length(iso_atual);
%============================================================================================================

%Gerar os limites de leito e UTI para plotar no grfico, do mesmo tamanho
%dos dados
%============================================================================================================
t_grafico = linspace(0,max(a),length(a));
total_leito = 11967;
total_uti = 2331;
t_grafico = linspace(0,max(a),length(a));
plot(t_grafico,total_leito*ones(size(t_grafico)),'--r');hold on;
plot(t_grafico,total_uti*ones(size(t_grafico)),'-.g');hold on;
%============================================================================================================

%Gera as marcaes do eixo X com os valores em dias
%============================================================================================================
labelsX = datestr(linspace(data1,limite_tempo,length(a)),1);
labelsX(2,6)='i';
labelsX(3,5:6)='go';
set(gca,'XTickLabel',labelsX);
%============================================================================================================

%Colaca-se as informaes pertinentes no grfico
%============================================================================================================
grid on; box on;
%legend('Valores simulados','Nmero mximo de Leitos','Nmeros mximo de UTIs');
xlabel('Tempo (dias)');
ylabel('Nmero de Casos');
print(gcf,'-depsc','figura_isolamento_atual.eps')
%title('Simulao do Efeito do Isolamento Social,Cenrio 2: "Isolamento Estimado via Modelo SEIR"');
%============================================================================================================

%Clculo do pico da epidemia
%============================================================================================================
[valor_pico,indice_pico] = max(iso_atual)
dia_pico = data1 + indice_pico;
dia_pico = datestr(dia_pico)
%============================================================================================================